> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Return

> This endpoint deletes an existing return.

### Body

<ParamField body="return_id" type="string">
  The ID provided in the data tab may be used to identify the return
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the return
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.stateset.com/v1/return' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE"
  }'
  ```

  ```graphQL GraphQL theme={null}
  mutation deleteReturn ($id: String!) {
      delete_returns(where: {id: {_eq: $id}}) {
            affected_rows
          }
        }
  ```

  ```js Node.js theme={null}
  const returns = await stateset.returns.del({
    'rt_1NXWPnCo6bFb1KQto6C8OWvE'
  });
  ```

  ```py Python theme={null}
  returns = stateset.returns.del({
    'rt_1NXWPnCo6bFb1KQto6C8OWvE'
  })
  ```

  ```go Go theme={null}
  returns, err := stateset.Returns.Del(
    "rt_1NXWPnCo6bFb1KQto6C8OWvE"
  )
  ```

  ```java Java theme={null}
  Return returns = stateset.returns.del(
    "rt_1NXWPnCo6bFb1KQto6C8OWvE"
  );
  ```

  ```js Javascript theme={null}
  const returns = await stateset.returns.del({
    'rt_1NXWPnCo6bFb1KQto6C8OWvE'
  });
  ```

  ```ruby Ruby theme={null}
  returns = Stateset::Return.del({
    'rt_1NXWPnCo6bFb1KQto6C8OWvE'
  })
  ```

  ```php PHP theme={null}
  $returns = $stateset->returns->del(
    'rt_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```http HTTP theme={null}
  DELETE /v1/return HTTP/1.1
  Host: api.stateset.com 
  Content-Type: application/json
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "return",
    "deleted": true
  }

  ```
</ResponseExample>
